{
	"backtrace" : 5,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_custom_target",
			"__ldgen_process_template",
			"target_linker_script",
			"include"
		],
		"files" : 
		[
			"C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/tools/cmake/ldgen.cmake",
			"C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/tools/cmake/utilities.cmake",
			"C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/ld/ld.cmake",
			"C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 3
			},
			{
				"command" : 3,
				"file" : 3,
				"line" : 86,
				"parent" : 0
			},
			{
				"file" : 2,
				"parent" : 1
			},
			{
				"command" : 2,
				"file" : 2,
				"line" : 18,
				"parent" : 2
			},
			{
				"command" : 1,
				"file" : 1,
				"line" : 148,
				"parent" : 3
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 77,
				"parent" : 4
			}
		]
	},
	"dependencies" : 
	[
		{
			"id" : "__idf_xtensa::@1daaaad7abe597e030f9"
		},
		{
			"id" : "__idf___pio_env::@8ed72ffb2edf9d360e6d"
		},
		{
			"id" : "__idf_app_trace::@dd7eb3aa23293586d3b8"
		},
		{
			"id" : "__idf_cmock::@38f9eb59693b7394f54c"
		},
		{
			"id" : "__idf_unity::@fec746937506b5690992"
		},
		{
			"id" : "__idf_console::@4311ed8d271cc0ee1422"
		},
		{
			"id" : "__idf_esp_hid::@15df40e16a5d8775dd9b"
		},
		{
			"id" : "__idf_esp_lcd::@d5a84597e1633c9ab0d3"
		},
		{
			"id" : "__idf_protocomm::@d76d01c8dec06205e1fc"
		},
		{
			"id" : "__idf_protobuf-c::@b14513c4bd859268ec22"
		},
		{
			"id" : "__idf_espcoredump::@718b9a7d55ab42cfc0a3"
		},
		{
			"id" : "__idf_esp_local_ctrl::@d6aad58d2946e56208ef"
		},
		{
			"id" : "__idf_wear_levelling::@cb21b0d7c0815cff11c6"
		},
		{
			"id" : "__idf_sdmmc::@89ed5bca1750ffbc7db6"
		},
		{
			"id" : "__idf_fatfs::@75ac1d9b25dacc8cc9e7"
		},
		{
			"id" : "__idf_json::@c78a8bdc820334f01148"
		},
		{
			"id" : "__idf_touch_element::@01c672d9a2e23f1d367f"
		},
		{
			"id" : "__idf_perfmon::@aac0f647c32bb8f54a67"
		},
		{
			"id" : "__idf_usb::@4a2418067d0bb57af462"
		},
		{
			"id" : "__idf_espressif__mdns::@d92204a997f34ad8e688"
		},
		{
			"id" : "__idf_src::@2478b13de56d3028f688"
		},
		{
			"id" : "__idf_espressif__esp_modem::@e71879e93e1b868b600d"
		},
		{
			"id" : "__idf_espressif__esp-dsp::@173cdc30d8d2ec42511f"
		},
		{
			"id" : "__idf_joltwallet__littlefs::@76002c3da0fd4d8a082e"
		},
		{
			"id" : "__idf_framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895::@b1e5f4a5c217d61d98b1"
		},
		{
			"id" : "__idf_espressif__tinyusb::@4abff0aa0afeda80b63b"
		},
		{
			"id" : "__idf_espressif__esp_tinyusb::@ff095a9d0cd52244f860"
		}
	],
	"id" : "__ldgen_output_sections.ld::@874df54e61e20112dfd4",
	"name" : "__ldgen_output_sections.ld",
	"paths" : 
	{
		"build" : "esp-idf/esp_system",
		"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system"
	},
	"sourceGroups" : 
	[
		{
			"name" : "",
			"sourceIndexes" : 
			[
				0
			]
		},
		{
			"name" : "CMake Rules",
			"sourceIndexes" : 
			[
				1,
				2
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 5,
			"isGenerated" : true,
			"path" : ".pio/build/esp32s2/esp-idf/esp_system/CMakeFiles/__ldgen_output_sections.ld",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : ".pio/build/esp32s2/esp-idf/esp_system/CMakeFiles/__ldgen_output_sections.ld.rule",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : ".pio/build/esp32s2/esp-idf/esp_system/ld/sections.ld.rule",
			"sourceGroupIndex" : 1
		}
	],
	"type" : "UTILITY"
}
